Bug 206041 - www/w3m GdkPixbuf not invoked - w3mimgdisplay broken
Summary: www/w3m GdkPixbuf not invoked - w3mimgdisplay broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: MANTANI Nobutaka
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-08 18:31 UTC by c.brinkhaus
Modified: 2016-01-16 13:48 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (nobutaka)


Attachments
Modified Makefile (2.35 KB, text/plain)
2016-01-14 22:31 UTC, c.brinkhaus
no flags Details
Modified files/patch-configure (533 bytes, patch)
2016-01-14 22:32 UTC, c.brinkhaus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description c.brinkhaus 2016-01-08 18:31:37 UTC
Buiding the package with poudriere the log says
...
422 [pkg.esprimo.local] |  |  `-- Extracting jbigkit-2.1_1: .......... done
423 [pkg.esprimo.local] |  | `-- Extracting tiff-4.0.6: .......... done
424 [pkg.esprimo.local] |  `-- Extracting gdk-pixbuf2-2.32.1: .......... done
425 [pkg.esprimo.local] |  `-- Installing shared-mime-info-1.5...
...
533 checking if image is enabled... fb,x11
534 checking image library... gtk2
535 configure: WARNING: GdkPixbuf is not installed.  Install GdkPixbuf (version >= 2.0.0)
536 configure: WARNING: unable to build w3mimgdisplay with X11 support
537 configure: WARNING: unable to build w3mimgdisplay with FB support
...
As the result w3mimgdisplay does not respond to commands as
echo -e '5;image.jpg\n' | /usr/local/libexec/w3m/w3mimgdisplay
which is the method to detect the image isze by py-ranger and my be others.

An extracted file from http://distcache.freebsd.org/freebsd:10:x86:64/latest/All/
shows the similar behaviour. A build in a unclean environment finds GdkPixbuf. This file responds to the example above.

A discussion about ranger is here https://forums.freebsd.org/threads/ranger-file-manager-sysutils-py-ranger-on-freebsd.54513/

Thank you for your kind consideration!
Comment 1 c.brinkhaus 2016-01-14 22:31:16 UTC
Created attachment 165610 [details]
Modified Makefile
Comment 2 c.brinkhaus 2016-01-14 22:32:12 UTC
Created attachment 165611 [details]
Modified files/patch-configure
Comment 3 c.brinkhaus 2016-01-14 22:41:54 UTC
Dear Nobutaka-san,

please find attached a modified Makefile and a modified patch. The modified Makefile invokes devel/pkgconf which is used in the configure script. Additionally I have had to add a patch to the configure script to fix PKG_CONFIG which results in the second attachment. This might be just a temporary work arround.

With both attachments w3mimgdisplay build with poudriere works fine on my system.

Kind regards,
Christoph
Comment 4 commit-hook freebsd_committer 2016-01-16 13:43:47 UTC
A commit references this bug:

Author: nobutaka
Date: Sat Jan 16 13:43:22 UTC 2016
New revision: 406221
URL: https://svnweb.freebsd.org/changeset/ports/406221

Log:
  Fix gdk-pixbuf2 detection in configure to work w3mimgdisplay correctly.

  PR:		206041
  Submitted by:	c.brinkhaus@t-online.de

Changes:
  head/www/w3m/Makefile
  head/www/w3m/files/patch-configure
Comment 5 MANTANI Nobutaka freebsd_committer 2016-01-16 13:48:43 UTC
Thank you Christoph, I have committed your fix.